corda / net.corda.client.model / TrackedDelegate / EventStreamDelegate

# EventStreamDelegate

`class EventStreamDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `EventStreamDelegate(klass: KClass<M>, eventStreamProperty: (M) -> <ERROR CLASS><T>)`

### Properties

eventStreamProperty | `val eventStreamProperty: (M) -> <ERROR CLASS><T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): <ERROR CLASS><T>`